Package org.apache.sling.cms.insights

## Class Message

- java.lang.Object
- - org.apache.sling.cms.insights.Message

    public class Message
    extends Object

Represents a message which may be assigned a status and text

### Nested Class Summary

Nested Classes
`static class` `Message.STYLE`

### Constructor Summary

Constructors
`Message​(String text, Message.STYLE style)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Message` `danger​(String text)`
`static Message` `defaultMsg​(String text)`
`Message.STYLE` `getStyle()`
`String` `getStyleClass()`
`String` `getText()`
`void` `setStyle​(Message.STYLE style)`
`void` `setText​(String text)`
`static Message` `success​(String text)`
`String` `toString()`
`static Message` `warn​(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Message

    public Message​(String text,
                   Message.STYLE style)

### Method Detail

#### danger

    public static Message danger​(String text)

#### defaultMsg

    public static Message defaultMsg​(String text)

#### success

    public static Message success​(String text)

#### warn

    public static Message warn​(String text)

#### getStyle

    public Message.STYLE getStyle()

#### getStyleClass

    public String getStyleClass()

#### getText

    public String getText()

#### setStyle

    public void setStyle​(Message.STYLE style)

#### setText

    public void setText​(String text)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`